Skip to content

OAuth token introspection

GET
/v3/integrations/oauth/tokeninfo
curl --request GET \
--url 'https://us-gov.legion.picogrid.com/v3/integrations/oauth/tokeninfo?token=jwt_access_token_example_placeholder&token_type_hint=access_token'

Introspect OAuth token to get information about it

token
required
string
Example
jwt_access_token_example_placeholder
token_type_hint
string
Example
access_token

Successful response

Media typeapplication/json
object
active
required
boolean
aud
Array<string>
client_id
string
exp
number
iat
number
integration_id
string
iss
string
jti
string
nbf
number
organization_id
string
scope
string
sub
string
token_type
string
user_id
string
username
string
Example
{
"active": "true",
"client_id": "integration.drone-cmd",
"exp": 1640995200,
"iat": 1640991600,
"integration_id": "d4e5f6a1-b2c3-7890-1234-567890abcdef",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"scope": "entities:write organizations:read",
"sub": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"token_type": "Bearer",
"user_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"username": "user@picogrid.com"
}

Bad Request

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "400",
"details": "sample_value",
"message": "Request cannot be processed due to invalid input",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Unauthorized

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "401",
"details": "sample_value",
"message": "Authentication credentials are missing or invalid",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Forbidden

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "403",
"details": "sample_value",
"message": "Access denied: insufficient permissions for this resource",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Not Found

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "404",
"details": "sample_value",
"message": "The requested resource could not be found",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Internal Server Error

Media typeapplication/json
object
category
required

The category of the error

string
code
required

The HTTP status code

number
details
required

Additional details about the error

Array<object>
object
field

The field that caused the error

string
issue

The specific issue with the field

string
message
required

A human-readable error message

string
status
required

The status of the response, always ‘error’ for error responses

string
timestamp
required

The timestamp when the error occurred

string format: date-time
trace_id
required

A unique identifier for tracing the error

string format: uuid
Example
{
"category": "server_error",
"code": "500",
"details": [
{
"field": "field_name",
"issue": "Field validation issue"
}
],
"message": "Internal Server Error",
"status": "error",
"timestamp": "2024-03-15T10:30:00Z",
"trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"
}

Version 3.0.0 · commit 0771262